//  main: main.less, out: ../style.css

// ====================================================================================================================================
// FOOTER
// ====================================================================================================================================

.c-footer {
    color: @color__text;
    background-color: @color__footer;
    padding: @margin__l 0 @margin__m;

    p {
        margin: 0;
    }

    @media @media_tablet {
        padding: @margin__m;
        .l-container {
            max-width: initial;
            padding: 0;
        }
    }

    @media @media_smartphone {
        padding: @margin__s;
        .l-container {
            max-width: initial;
            padding: 0;
        }
    }
}

.c-footer__inner {
    .u-flex-display;
    .u-justify-content(space-between);

    .c-footer__name,
    .c-footer__info {
        width: 33%;
        font-family: @font_titles;
        font-weight: @font_w__r;
        color: @color__primary;
    }

    .c-footer__info {
        text-align: right;
    }
    
    @media @media_smartphone {
        .u-flex-direction(column);
        .c-footer__name,
        .c-footer__info {
            width: 100%;
            text-align: center;
            margin: @margin__s 0;
        }
    }
}

.c-footer__bottom {
    margin-top: @margin__s;
    padding-top: @margin__s;
    .u-flex-display;
    .u-justify-content(space-between);

    .inner {
        .u-flex-display;
    }

    .social-icon {
        margin-right: @margin__s;
    }

    @media @media_smartphone {
        text-align: center;
        padding-top: 0;
        margin-top: 0;
        .u-flex-direction(column);

        .inner {
            .u-justify-content(flex-start);
            .u-flex-direction(column);
            margin-bottom: @margin__s;
        }

        .social-icon {
            margin-right: @margin__s/2;
        }
    }
}

// ====================================================================================================================================
// COOKIE NOTICE
// ====================================================================================================================================
.cn-bottom {
    bottom: @margin__s;
    left: @margin__s!important;
    right: @margin__s;
    min-width: initial!important;
    width: 280px;
    padding: @margin__s/2;
    .u-border-radius(0)!important;
    .cookie-notice-container {
        .u-flex-display;
        .u-flex-direction(column);
        text-align: left;

    }
    .o-button {
        margin: @margin__s 0 0 0!important;
        padding: @button__padding!important;
        min-width: initial!important;
    }
}